PACMAN(8)

NUME
pacman - instrument de gestionare a pachetelor

SINOPSIS

pacman <operația> [opțiuni] [ținte]

DESCRIERE

pacman este un instrument de gestionare a pachetelor care urmărește pachetele instalate pe un sistem Linux. Dispune de suport pentru dependențe, grupuri de pachete, scripturi de instalare și dezinstalare și posibilitatea de a sincroniza mașina locală cu un depozit la distanță pentru a actualiza automat pachetele. Pachetele pacman sunt în format tar comprimat.

Începând cu versiunea 3&.0.0, pacman a fost interfața pentru libalpm(3), biblioteca „Arch Linux Package Management”. Această bibliotecă permite scrierea unor interfețe alternative (de exemplu, o interfață GUI).

Invocarea pacman implică specificarea unei operații cu toate opțiunile potențiale și țintele pe care se va opera. O țintă este, de obicei, un nume de pachet, un nume de fișier, o adresă URL sau un șir de căutare. Țintele pot fi furnizate ca argumente în linia de comandă. În plus, în cazul în care intrarea standard nu provine de la un terminal și se trece o singură cratimă (-) ca argument, țintele vor fi citite de la intrarea standard.

OPERAȚII

-D, --database
    Operează pe baza de date a pachetelor. Această operațiune vă permite să modificați anumite atribute ale pachetelor instalate în baza de date a pacman. De asemenea, vă permite să verificați coerența internă a bazelor de date. Vedeți secțiunea OPȚIUNI PENTRU BAZA DE DATE de mai jos.

-Q, --query
    Interoghează baza de date a pachetelor. Această operație vă permite să vizualizați pachetele instalate și fișierele acestora, precum și meta-informații despre pachetele individuale (dependențe, conflicte, data instalării, data construirii, dimensiune). Această operație poate fi rulată în baza de date locală a pachetelor sau poate fi utilizată pe fișiere individuale de pachete. În primul caz, dacă în linia de comandă nu se furnizează niciun nume de pachet, vor fi interogate toate pachetele instalate. În plus, se pot aplica diverse filtre pe lista de pachete. Consultați secțiunea OPȚIUNI DE INTEROGARE de mai jos.

-R, --remove
    Elimină pachetul (pachetele) din sistem. De asemenea, se pot specifica grupuri pentru a fi eliminate, caz în care fiecare pachet din acel grup va fi eliminat. Fișierele aparținând pachetului specificat vor fi șterse, iar baza de date va fi actualizată. Majoritatea fișierelor de configurare vor fi salvate cu extensia .pacsave, cu excepția cazului în care se utilizează opțiunea --nosave. Consultați secțiunea OPȚIUNI DE ELIMINARE de mai jos.

-S, --sync
    Sincronizează pachetele. Pachetele sunt instalate direct din depozitele de la distanță, inclusiv toate dependențele necesare pentru a rula pachetele. De exemplu, «pacman -S qt» va descărca și va instala „qt” și toate pachetele de care depinde. Dacă un nume de pachet există în mai multe depozite, depozitul poate fi specificat în mod explicit pentru a clarifica pachetul care trebuie instalat: «pacman -S testing/qt». De asemenea, puteți specifica cerințele de versiune: «pacman -S "bash>=3.2"». Ghilimelele sunt necesare, altfel shell-ul interpretează „>” ca redirecționare către un fișier.

    În plus față de pachete, pot fi specificate și grupuri. De exemplu, dacă „gnome” este un grup de pachete definit, atunci «pacman -S gnome» va oferi o solicitare care vă va permite să selectați ce pachete să instalați dintr-o listă numerotată. Selecția pachetelor este specificată folosind o listă de numere de pachete separate prin spații și/sau virgule. Pachetele secvențiale pot fi selectate prin specificarea primului și ultimului număr de pachet separate de o cratimă (-). Excluderea pachetelor se realizează prin prefixarea unui număr sau a unei serii de numere cu un semn (^).

    Pachetele care furnizează alte pachete sunt, de asemenea, gestionate. De exemplu, «pacman -S foo» va căuta mai întâi un pachet foo. Dacă foo nu este găsit, vor fi căutate pachetele care oferă aceeași funcționalitate ca foo. Dacă se găsește un pachet, acesta va fi instalat. În cazul în care se găsesc mai multe pachete care oferă foo, se va afișa o cerere de selecție.

    De asemenea, puteți utiliza «pacman -Su» pentru a actualiza toate pachetele care sunt depășite. Consultați secțiunea OPȚIUNI DE SINCRONIZARE de mai jos. La actualizare, pacman efectuează o comparație a versiunilor pentru a determina ce pachete trebuie actualizate. Acest comportament funcționează după cum urmează:

        Alfanumeric:
          1.0a < 1.0b < 1.0beta < 1.0p < 1.0pre < 1.0rc < 1.0 < 1.0.a < 1.0.1
        Numeric:
          1 < 1.0 < 1.1 < 1.1.1 < 1.2 < 2.0 < 3.0.0

    În plus, șirurile de versiuni pot avea definită o valoare epoch care va anula orice comparație de versiuni, cu excepția cazului în care valorile epocii sunt egale. Acest lucru este specificat într-un format epoch:version-rel. De exemplu, 2:1.0-1 este întotdeauna mai mare decât 1:3.6-1.

-T, --deptest
    Verifică dependențele; acest lucru este util în scripturi precum makepkg pentru a verifica pachetele instalate. Această operație va verifica fiecare dependență specificată și va returna o listă de dependențe care nu sunt satisfăcute în prezent în sistem. Această operație nu acceptă alte opțiuni. Exemplu de utilizare: «pacman -T qt "bash>=3.2"».

-U, --upgrade
    Actualizează sau adaugă pachetul (pachetele) în sistem și instalează dependențele necesare din depozitele de sincronizare. Se poate specifica fie o adresă URL, fie o rută de fișier. Acesta este un proces de „elimină-apoi-adaugă”. Vedeți secțiunea OPȚIUNI DE ACTUALIZARE de mai jos; de asemenea, vedeți secțiunea GESTIONAREA FIȘIERELOR DE CONFIGURARE pentru o explicație a modului în care pacman se ocupă de fișierele de configurare.

-F, --files
    Consultă baza de date a fișierelor. Această operație vă permite să căutați pachetele care dețin anumite fișiere sau să afișați fișierele deținute de anumite pachete. Sunt căutate numai pachetele care fac parte din bazele de date de sincronizare. Consultați secțiunea OPȚIUNI DE FIȘIERE de mai jos.

-V, --version
    Afișează versiunea și iese.

-h, --help
    Afișează sintaxa pentru operația dată. Dacă nu a fost furnizată nici o operație, atunci se afișează sintaxa generală.

OPȚIUNI

-b, --dbpath <ruta>
    Specifică o locație alternativă a bazei de date (locația implicită este /var/lib/pacman). Aceasta nu trebuie utilizată decât dacă știți ce faceți. NOTĂ: Dacă este specificată, aceasta este o rută absolută, iar ruta rădăcinii nu este preadăugată automat.

-r, --root <ruta>
    Specifică o rădăcină de instalare alternativă (implicit /). Acest lucru nu trebuie utilizat ca o modalitate de a instala software-ul în /usr/local în loc de /usr. NOTĂ: Dacă ruta bazei de date sau a fișierului jurnal nu sunt specificate nici în linia de comandă, nici în pacman.conf(5), locația lor implicită va fi în interiorul acestei rute rădăcină. NOTĂ: Această opțiune nu este potrivită pentru efectuarea de operații pe un sistem invitat montat. A se vedea --sysroot în loc.

-v, --verbose
    Afișează rute, cum ar fi rădăcina de instalare, fișierul de configurare, ruta bazei de date, directoarele de stocare „cache”, etc.

--arch <arhitectura>
    Specifică o arhitectură alternativă.

--cachedir <director>
    Specifică o locație alternativă pentru locația stocării „cache” de pachete (locația implicită este /var/cache/pacman/pkg). Pot fi specificate mai multe directoare de stocare, iar acestea sunt încercate în ordinea în care sunt transmise către pacman. NOTĂ: Aceasta este o rută absolută, iar ruta rădăcină nu este preadăugată automat.

--color <când>
    Specifică când se activează colorarea. Opțiunile valide sunt always (întotdeauna), never (niciodată) sau auto. always forțează activarea culorilor; never forțează dezactivarea culorilor; și auto activează automat culorile numai la ieșirea pe un tty (terminal).

--config <fișier>
    Specifică un fișier de configurare alternativ.

--debug
    Afișează mesajele de depanare. Atunci când se raportează erori, se recomandă utilizarea acestei opțiuni.

--gpgdir <director>
    Specifică un director de fișiere utilizate de GnuPG pentru a verifica semnăturile pachetelor (valoarea implicită este /etc/pacman.d/gnupg). Acest director trebuie să conțină două fișiere: „pubring.gpg” și „trustdb.gpg”. „pubring.gpg” conține cheile publice ale tuturor celor care creează pachete. „trustdb.gpg” conține o așa-numită bază de date de încredere, care specifică faptul că cheile sunt autentice și de încredere. NOTĂ: Aceasta este o rută absolută, iar ruta rădăcină nu este preadăugată automat.

--hookdir <director>
    Specifică un director alternativ care să conțină fișiere cârlig „hooK” (implicit /etc/pacman.d/hooks). Pot fi specificate mai multe directoare de cârlige, cele din directoarele ulterioare având prioritate față de cele din directoarele anterioare. NOTĂ: Aceasta este o rută absolută, iar ruta rădăcinii nu este preadăugată automat.

--logfile <fișier>
    Specifică un fișier de jurnal alternativ. Aceasta este o rută absolută, indiferent de locația directorului rădăcină a instalării.

--noconfirm
    Ocolește toate mesajele de tipul „Sunteți sigur?” Are you sure?. Nu este o idee bună să faceți acest lucru decât dacă doriți să rulați pacman de la un script.

--confirm
    Anulează efectele unei opțiuni anterioare --noconfirm.

--disable-download-timeout
    Dezactivează valorile implicite pentru limita de viteză redusă și expirarea timpului de așteptare la descărcări. Utilizați această opțiune dacă aveți probleme la descărcarea fișierelor cu proxy și/sau poartă de acces de securitate.

--sysroot <director>
    Specifică o rădăcină de sistem alternativă. Această rută va fi adăugată la toate celelalte directoare de configurare și la orice server de depozit care începe cu file://. Toate rutele sau adresele URL transmise ca ținte nu vor fi modificate. Acest lucru permite ca sistemele invitate montate să fie operate în mod corespunzător.

--disable-sandbox
    Dezactivează sandbox-ul implicit aplicat procesului de descărcare a fișierelor pe sistemele Linux. Util în cazul în care vă confruntați cu eșecuri legate de „landlock” (fără legătură cu exteriorul) în timpul descărcării fișierelor atunci când rulați un nucleu Linux care nu acceptă această caracteristică.

OPȚIUNI DE TRANZACȚIONARE (APLICABILE LA -S, -R ȘI -U)

-d, --nodeps
    Omite verificările versiunilor de dependență. Numele pachetelor sunt în continuare verificate. În mod normal, pacman verifică întotdeauna câmpurile de dependență ale unui pachet pentru a se asigura că toate dependențele sunt instalate și că nu există conflicte de pachete în sistem. Specificați această opțiune de două ori pentru a omite toate verificările de dependențe.

--assume-installed <pachet=versiune>
    Adaugă un pachet virtual „pachet” cu versiunea „versiune” la tranzacție pentru a satisface dependențele. Acest lucru permite dezactivarea verificărilor de dependențe specifice fără a afecta toate verificările de dependențe. Pentru a dezactiva toate verificările de dependențe, consultați opțiunea --nodeps.

--dbonly
    Adaugă/elimină doar intrarea din baza de date, lăsând toate fișierele la locul lor.

--noprogressbar
    Nu afișează o bară de progres atunci când se descarcă fișiere. Acest lucru poate fi util pentru scripturile care apelează pacman și captează ieșirea.

--noscriptlet
    Dacă există un script de instalare, nu îl execută. Nu folosiți această opțiune decât dacă știți ce faceți.

-p, --print
    Doar afișează țintele în loc să efectueze operația propriu-zisă (sincronizare, eliminare sau actualizare). Utilizați --print-format pentru a specifica modul de afișare a țintelor. Șirul de format implicit este „%l”, care afișează adresele URL cu -S, numele fișierelor cu -U și numepachet-versiunepachet cu -R&.

--print-format <format>
    Specifică un format de tip printf pentru a controla ieșirea operației --print. Atributele posibile sunt: „%a” pentru arhitectură, „%b” pentru data-construirii, „%d” pentru descriere, „%e” pentru bază-pachet, „%f” pentru numele fișierului, „%g” pentru semnătura PGP codificată în baza64, „%h” pentru suma de control sha256, „%m” pentru suma de control md5, „%n” pentru numele pachetului, „%p” pentru împachetator, „%v” pentru versiunea pachetului, „%l” pentru locație, „%r” pentru depozit, „%s” pentru dimensiune, „%C” pentru verificarea dependențelor, „%D” pentru dependențe, „%G” pentru grupuri, „%H” pentru conflicte, „%L” pentru licențe, „%M” pentru dependențele de compilare, „%O” pentru dependențele opționale, „%P” pentru «ce furnizează» și „%R” pentru «înlocuiește». Implică --print.

OPȚIUNI DE ACTUALIZARE (APLICABILE LA -S ȘI -U)

-w, --downloadonly
    Preia toate pachetele de pe server, dar nu instalează/actualizează nimic.

--asdeps
    Instalează pachetele în mod neexplicit; cu alte cuvinte, falsifică motivul instalării lor pentru a fi instalate ca o dependență. Acest lucru este util pentru makepkg și alte instrumente de construire de la sursă care trebuie să instaleze dependențele înainte de a construi pachetul.

--asexplicit
    Instalează pachetele în mod explicit; cu alte cuvinte, falsifică motivul instalării lor pentru a fi instalate în mod explicit. Acest lucru este util dacă doriți să marcați o dependență ca fiind instalată în mod explicit, astfel încât aceasta să nu fie eliminată de operația de eliminare --recursive.

--ignore <pachet>
    Îndrumă pacman să ignore actualizările pachetului, chiar dacă există una disponibilă. Mai multe pachete pot fi specificate prin separarea lor cu o virgulă.

--ignoregroup <grup>
    Îndrumă pacman să ignore actualizările tuturor pachetelor din grup, chiar dacă există una disponibilă. Se pot specifica mai multe grupuri, separându-le cu o virgulă.

--needed
    Nu reinstalează țintele care sunt deja actualizate.

--overwrite <model-global>
    Ocolește verificările de conflicte de fișiere și suprascrie fișierele conflictuale. Dacă pachetul care urmează să fie instalat conține fișiere care sunt deja instalate și se potrivesc cu model-global, această opțiune va face ca toate aceste fișiere să fie suprascrise. Utilizarea --overwrite nu va permite suprascrierea unui director cu un fișier sau instalarea de pachete cu fișiere și directoare conflictuale. Se pot specifica mai multe modele, separându-le cu o virgulă. Poate fi specificată de mai multe ori. Modelele pot fi negate, astfel încât fișierele care corespund acestora să nu fie suprascrise, prin prefixarea lor cu un semn de exclamare. Potrivirile ulterioare le vor anula pe cele anterioare. Semnul exclamării sau bara oblică inversă literală din față trebuie să fie eludate.

OPȚIUNI DE INTEROGARE (APLICABILE LA -Q)

-c, --changelog
    Vizualizează jurnalul de modificări al unui pachet, dacă acesta există.

-d, --deps
    Restricționează sau filtrează ieșirea la pachetele instalate ca dependențe. Această opțiune poate fi combinată cu -t pentru a lista adevărații orfani --- pachete care au fost instalate ca dependențe, dar care nu mai sunt necesare pentru niciun pachet instalat.

-e, --explicit
    Restricționează sau filtrează ieșirea la pachetele instalate în mod explicit. Această opțiune poate fi combinată cu -t pentru a lista pachetele instalate în mod explicit care nu sunt solicitate de niciun alt pachet.

-g, --groups
    Afișează toate pachetele care sunt membre ale unui grup numit. Dacă nu se specifică un nume, se afișează toate pachetele grupate.

-i, --info
    Afișează informații despre un anumit pachet&. Opțiunea -p poate fi utilizată dacă se interoghează un fișier de pachete în loc de baza de date locală. Dacă se trec două opțiuni --info sau -i, se va afișa, de asemenea, lista fișierelor de rezervă și starea lor de modificare.

-k, --check
    Verifică dacă toate fișierele care aparțin pachetului (pachetelor) dat(e) sunt prezente în sistem. În cazul în care pachetele nu sunt specificate sau nu sunt furnizate opțiuni de filtrare, verifică toate pachetele instalate. Dacă se specifică această opțiune de două ori, se va efectua o verificare mai detaliată a fișierelor (inclusiv a permisiunilor, a dimensiunilor fișierelor și a timpilor de modificare) pentru pachetele care conțin fișierul mtree necesar.

-l, --list
    Listează toate fișierele deținute de un anumit pachet. Se pot specifica mai multe pachete în linia de comandă.

-m, --foreign
    Restricționează sau filtrează ieșirea la pachetele care nu au fost găsite în baza (bazele) de date de sincronizare. De obicei, acestea sunt pachete care au fost descărcate manual și instalate cu --upgrade.

-n, --native
    Restricționează sau filtrează ieșirea la pachetele care se găsesc în baza (bazele) de date de sincronizare. Acesta este filtrul invers al lui --foreign.

-o, --owns <fișier>
    Caută pachetele care dețin fișierul (fișierele) specificat(e). Ruta poate fi relativă sau absolută și pot fi specificate unul sau mai multe fișiere.

-p, --file
    Semnifică faptul că pachetul furnizat în linia de comandă este un fișier și nu o intrare în baza de date. Fișierul va fi decomprimat și interogat. Acest lucru este util în combinație cu --info și --list.

-q, --quiet
    Afișează mai puține informații pentru anumite operații de interogare. Acest lucru este util atunci când ieșirea pacman este procesată într-un script. Astfel, --search --quiet va afișa doar numele pachetelor și nu informațiile despre versiune, grup și descriere; --owns --quiet va afișa doar numele pachetelor în loc de mesajele „fișierul este deținut de pachetul”; --groups --quiet va afișa doar numele pachetelor și va omite numele grupurilor; --list --quiet va afișa doar fișierele și va omite numele pachetelor; --check --quiet va afișa doar perechile de nume de pachete și fișierele lipsă; o interogare goală (-Qq) va afișa doar numele pachetelor în loc de nume și versiuni.

-s, --search <exp-reg>
    Caută în fiecare pachet instalat la nivel local numele sau descrierile care se potrivesc cu exp-reg. Atunci când sunt incluși mai mulți termeni de căutare, sunt returnate numai pachetele cu descrieri care se potrivesc cu TOȚI acești termeni.

-t, --unrequired
    Restricționează sau filtrează ieșirea pentru a afișa numai pachetele care nu sunt necesare sau opțional necesare pentru orice pachet instalat în prezent. Specificați această opțiune de două ori pentru a include pachetele care sunt opțional, dar nu direct, solicitate de un alt pachet.

-u, --upgrades
    Restricționează sau filtrează ieșirea pentru pachetele care nu sunt actualizate în sistemul local. Numai versiunile pachetelor sunt folosite pentru a găsi pachete depășite; înlocuirile nu sunt verificate aici. Această opțiune funcționează cel mai bine dacă baza de date de sincronizare este reactualizată cu ajutorul -Sy.

OPȚIUNI DE ELIMINARE (APLICABILE LA -R)

-c, --cascade
    Elimină toate pachetele țintă, precum și toate pachetele care depind de unul sau mai multe pachete țintă. Această operație este recursivă și trebuie utilizată cu atenție, deoarece poate elimina multe pachete potențial necesare.

-n, --nosave
    Îi indică lui pacman să ignore desemnările de copii de rezervă de fișiere. În mod normal, atunci când un fișier este eliminat din sistem, baza de date este verificată pentru a vedea dacă fișierul trebuie redenumit cu extensia .pacsave.

-s, --recursive
    Elimină fiecare țintă specificată, inclusiv toate dependențele lor, cu condiția ca (A) să nu fie solicitate de alte pachete; și (B) să nu fi fost instalate în mod explicit de către utilizator. Această operație este recursivă și este analogă unei operații --sync inversate și ajută la menținerea unui sistem curat, fără orfani. Dacă doriți să omiteți condiția (B), treceți această opțiune de două ori.

-u, --unneeded
    Elimină țintele care nu sunt solicitate de niciun alt pachet. Acest lucru este util mai ales atunci când se elimină un grup fără a utiliza opțiunea -c, pentru a evita întreruperea oricăror dependențe.

OPȚIUNI DE SINCRONIZARE (APLICABILE LA -S)

-c, --clean
    Elimină din spațiul de stocare „cache” pachetele care nu mai sunt instalate, precum și bazele de date de sincronizare nefolosite în prezent pentru a elibera spațiu pe disc. Atunci când pacman descarcă pachete, le salvează într-un director de stocare. În plus, bazele de date sunt salvate pentru fiecare bază de date de sincronizare pe care o descărcați și nu sunt șterse chiar dacă sunt eliminate din fișierul de configurare pacman.conf(5). Utilizați o opțiune --clean pentru a elimina numai pachetele care nu mai sunt instalate; utilizați două pentru a elimina toate fișierele din spațiul de stocare. În ambele cazuri, veți avea o opțiune „da sau nu” pentru a elimina pachetele și/sau bazele de date descărcate nefolosite.

    Dacă folosiți un spațiu de stocare „cache” partajat în rețea, consultați opțiunea CleanMethod din pacman.conf(5).

-g, --groups
    Afișează toți membrii pentru fiecare grup de pachete specificat. Dacă nu se furnizează niciun nume de grup, vor fi listate toate grupurile; treceți opțiunea de două ori pentru a vizualiza toate grupurile și membrii acestora.

-i, --info
    Afișează informații despre un anumit pachet al bazei de date de sincronizare. Dacă se trec două opțiuni --info sau -i, se vor afișa, de asemenea, acele pachete din toate depozitele care depind de acest pachet.

-l, --list
    Listează toate pachetele din depozitele specificate. Se pot specifica mai multe depozite în linia de comandă.

-q, --quiet
    Afișează mai puține informații pentru anumite operații de sincronizare. Acest lucru este util atunci când ieșirea lui pacman este procesată într-un script. Astfel, --search va afișa doar numele pachetelor și nu și informațiile despre depozit, versiune, grup și descriere; --list va afișa doar numele pachetelor și va omite bazele de date și versiunile; --group va afișa doar numele pachetelor și va omite numele grupurilor.

-s, --search <exp-reg>
    Aceasta va căuta în fiecare pachet din bazele de date de sincronizare numele sau descrierile care se potrivesc cu exp-reg. Atunci când includeți mai mulți termeni de căutare, vor fi returnate numai pachetele cu descrieri care corespund TUTUROR acestor termeni.

-u, --sysupgrade
    Actualizează toate pachetele care sunt învechite. Fiecare pachet instalat în prezent va fi examinat și actualizat dacă există un pachet mai nou. Va fi prezentat un raport cu toate pachetele care trebuie actualizate, iar operația nu va continua fără confirmarea utilizatorului. Dependențele sunt rezolvate automat la acest nivel și vor fi instalate/actualizate dacă este necesar.

    Pasați această opțiune de două ori pentru a activa retrogradarea pachetelor; în acest caz, pacman va selecta pachetele de sincronizare ale căror versiuni nu se potrivesc cu versiunile locale. Acest lucru poate fi util atunci când utilizatorul trece de la un depozit de testare la unul stabil.

    Țintele suplimentare pot fi, de asemenea, specificate manual, astfel încât -Su foo va face o actualizare a sistemului și va instala/actualiza pachetul „foo” în aceeași operație.

-y, --refresh
    Descarcă o copie nouă a bazelor de date ale pachetului principal (repo.db) de pe serverul (serverele) definit(e) în pacman.conf(5). Acest lucru ar trebui să fie utilizat de obicei de fiecare dată când utilizați --sysupgrade sau -u. Pasarea a două opțiuni --refresh sau -y va forța o reîmprospătare a tuturor bazelor de date de pachete, chiar dacă acestea par a fi actualizate.

OPȚIUNI PENTRU BAZA DE DATE (APLICABILE LA -D)

--asdeps <pachet>
    Marchează un pachet ca fiind instalat în mod neexplicit; cu alte cuvinte, stabilește motivul instalării sale pentru a fi instalat ca dependență.

--asexplicit <pachet>
    Marchează un pachet ca fiind instalat în mod explicit; cu alte cuvinte, stabilește motivul instalării sale ca fiind instalat în mod explicit. Acest lucru este util în cazul în care doriți să păstrați un pachet instalat chiar dacă a fost instalat inițial ca dependență de un alt pachet.

-k, --check
    Verifică dacă baza de date a pachetelor locale este consistentă la nivel intern. Aceasta va verifica dacă toate fișierele necesare sunt prezente și dacă pachetele instalate au dependențele necesare, dacă nu sunt în conflict și dacă mai multe pachete nu dețin același fișier. Dacă se specifică această opțiune de două ori, se va efectua o verificare a bazelor de date de sincronizare pentru a se asigura că toate dependențele specificate sunt disponibile.

-q, --quiet
    Suprimă mesajele la finalizarea cu succes a operațiilor bazei de date.

OPȚIUNI DE FIȘIERE (APLICABILE LA -F)

-y, --refresh
    Descarcă noile baze de date de fișiere de pachete (repo.files) de pe server. Utilizați de două ori pentru a forța o reîmprospătare chiar dacă bazele de date sunt actualizate.

-l, --list
    Listează fișierele deținute de pachetul interogat.

-x, --regex
    Interpretează fiecare interogare ca o expresie regulată.

-q, --quiet
    Afișează mai puține informații pentru anumite operații cu fișiere. Acest lucru este util atunci când ieșirea lui pacman este procesată într-un script, totuși, este posibil să doriți să folosiți --machinereadable în loc.

--machinereadable
    Afișează fiecare potrivire într-un format de ieșire care poate fi citit automat. Formatul este depozit\0nume-pachet\0versiune-pachet\0ruta\n cu \0 fiind caracterul NULL și \n un salt de linie.

GESTIONAREA FIȘIERELOR DE CONFIGURARE

pacman utilizează aceeași logică ca și rpm pentru a determina acțiunea asupra fișierelor care sunt desemnate pentru a fi salvate. În timpul unei actualizări, pentru fiecare fișier de rezervă sunt utilizate trei sume de control MD5 pentru a determina acțiunea necesară: una pentru fișierul original instalat, una pentru noul fișier care urmează să fie instalat și una pentru fișierul existent efectiv în sistemul de fișiere. După compararea acestor trei sume de control, pot rezulta următoarele scenarii:

original=X, current=X, new=X
    Toate cele trei fișiere sunt identice, astfel încât suprascrierile nu reprezintă o problemă. Instalează noul fișier.

original=X, current=X, new=Y
    Fișierul actual este același cu cel original, dar cel nou diferă. Deoarece utilizatorul nu a modificat niciodată fișierul, iar cel nou poate conține îmbunătățiri sau corecturi de erori, instalează noul fișier.

original=X, current=Y, new=X
    Ambele versiuni ale pachetului conțin exact același fișier, dar cel de pe sistemul de fișiere a fost modificat. Lasă fișierul actual la locul lui.

original=X, current=Y, new=Y
    Noul fișier este identic cu fișierul curent. Instalează noul fișier.

original=X, current=Y, new=Z
    Toate cele trei fișiere sunt diferite, deci instalează noul fișier cu extensia .pacnew și avertizează utilizatorul. Utilizatorul trebuie apoi să fuzioneze manual toate modificările necesare în fișierul original.

original=NULL, current=Y, new=Z
    Pachetul nu a fost instalat anterior, iar fișierul există deja în sistemul de fișiere. Instalează noul fișier cu extensia .pacnew și avertizează utilizatorul. Utilizatorul trebuie apoi să fuzioneze manual toate modificările necesare în fișierul original.

EXEMPLE

pacman -Ss ne.hack
    Caută exp-reg „ne.hack” în baza de date a pachetelor.

pacman -S gpm
    Descarcă și instalează „gpm”, inclusiv dependențele.

pacman -U /home/user/ceofhack-0.6-1-x86_64.pkg.tar.gz
    Instalează pachetul „ceofhack-0.6-1” dintr-un fișier local.

pacman -Syu
    Actualizează lista de pachete și actualizează toate pachetele după aceea.

pacman -Syu gpm
    Actualizează lista de pachete, actualizează toate pachetele și apoi instalează „gpm”, dacă nu a fost deja instalat.

CONFIGURARE

Consultați pacman.conf(5) pentru mai multe detalii despre configurarea pacman folosind fișierul pacman.conf.

CONSULTAȚI ȘI

alpm-hooks(5), libalpm(3), makepkg(8), pacman.conf(5)

Consultați situl web pacman la https://archlinux.org/pacman/ pentru informații actuale despre «pacman» și instrumentele sale conexe.

ERORI

Hibe? Probabil că glumiți; nu există nicio hibă în acest software&. Dar dacă se întâmplă să fie ceva greșit, depuneți o cerere de rezolvare a problemei cu cât mai multe detalii posibile la: https://gitlab.archlinux.org/pacman/pacman/-/issues.

AUTORI

Responsabilii actuali:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contribuitori importanți din trecut:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pentru contribuitori suplimentari, folosiți «git shortlog -s» în depozitul .git pacman.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.